package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

/**
 * @Author: sunxiang
 * @Date: 2018/10/29 16:10
 * @Description:
 **/
public class DicPayResult {

    public static final String UPDATE_SUCCESS="付款成功";
    public static final String UPDATE_FAIL="修改失败";

    private static DicPayResult instance=null;
    private static LinkedHashMap<String,String> dicMap=null;

    private DicPayResult(){
        dicMap=new LinkedHashMap<>();
        dicMap.put("UPDATE_SUCCESS",UPDATE_SUCCESS);
        dicMap.put("UPDATE_FAIL",UPDATE_FAIL);
    }
    public static DicPayResult getInstance(){
        if(instance==null){
            instance=new DicPayResult();
        }
        return instance;
    }

    public LinkedHashMap<String,String> getDicMap() {
        return (LinkedHashMap<String,String>)dicMap.clone();
    }
}
